org.eclipse.gef

## Interface EditPartViewer.Conditional

All Known Implementing Classes:
  AutoexposeHelper.Search

Enclosing interface:
  EditPartViewer

    public static interface EditPartViewer.Conditional

An object which evaluates an EditPart for an arbitrary property. Conditionals are used when querying a viewer for an editpart.

### Method Summary

Methods
`boolean` `evaluate(EditPart editpart)` Returns `true` if the editpart meets this condition.

### Method Detail

#### evaluate

    boolean evaluate(EditPart editpart)

Returns `true` if the editpart meets this condition.

Parameters:
  `editpart` - the editpart being evaluated
Returns:
  `true` if the editpart meets the condition